Last modified: 2013-10-29 05:09:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22371 - Unicode Equivalence on two versions of Unicode for Malayalam Language
Unicode Equivalence on two versions of Unicode for Malayalam Language
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
unspecified
All All
: Normal critical with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2010-02-03 19:33 UTC by praveenp
Modified: 2013-10-29 05:09 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description praveenp 2010-02-03 19:33:10 UTC
After the release of Unicode 5.1, there is two different encoding possible for some Malayalam Characters. Request Database switching to Unicode 5.1 as everything to be converted to the Unicode 5.1 version,
including page titles, namespaces and article content, and need a script for Unicode 5.0 characters sent by browsers during editing and searching to be converted to Unicode 5.1 before go to storage.

Please check http://www.gossamer-threads.com/lists/wiki/wikitech/184440 and http://unicode.org/versions/Unicode5.1.0/#Malayalam_Chillu_Characters also

Community Consensus: http://ml.wikipedia.org/wiki/WP:Panchayath_(Technical)/Unicode_5.1.0
Comment 1 Chad H. 2010-02-03 22:50:31 UTC
Related to r60599 and follow-up r61282.
Comment 2 praveenp 2010-02-04 07:48:18 UTC
Is this enabled? I think no. We still facing all the problems possible by dual encoding in linking or searching.

May I know what will happen to existing Unicode 5.1 redirects to non-unicode 5.1 titles while conversion?
Comment 3 Bawolff (Brian Wolff) 2010-02-04 23:01:29 UTC
One would assume it will be enabled next time wmf-deployment is updated. (Wikimedia wikis don't use latest code).
Comment 4 praveenp 2010-04-13 05:49:41 UTC
(In reply to comment #3)
> One would assume it will be enabled next time wmf-deployment is updated.
> (Wikimedia wikis don't use latest code).

Solved on 1.16wmf4 deployment.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links